
Smart Proxy - Bug #1761

confdir appears to be broken again in 1.0rc3

07/17/2012 04:02 PM - David Swift

Status: Closed   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

#1152 has details on possible history of this.  We did an RPM-based install of puppet and foreman around July 11, and had to

manually patch a puppet file to get confdir working.

I have not had time to delve deeper into it yet, sorry for the horrible bug report.  If I get a chance to dig in I will.

Related issues:

Related to Foreman - Bug #1788: Could not find value for $confdir Duplicate 07/27/2012

Related to Smart Proxy - Feature #1552: Puppet proxy should support $confdir ... Closed 03/26/2012

Associated revisions

Revision c8ee1bfe - 11/11/2012 04:27 AM - Greg Sutcliffe 

Fixes #1761 - default to /etc/puppet if we can't find a value for

History

#1 - 07/17/2012 04:03 PM - David Swift

I hate my typing skills - #1552 is the history of this...

#2 - 07/31/2012 06:58 AM - Ohad Levy

I wonder if this related to a specific puppet version.

#3 - 08/30/2012 03:57 PM - Anonymous

From what I see a problem with the patch from #1552 is that it requires a confdir setting to be present in puppet.conf

However $confdir defaults to /etc/puppet and thus a modulepath containing the variable should resolve even when it's not specified.

Just for reference puppet config --mode master print modulepath prints the fully resolved correct modulepath ...

#4 - 11/11/2012 04:32 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset c8ee1bfed942d2d6f5cc2d5c36e2f74f66770105.
